[arch-commits] Commit in python-cached-property/repos/community-any (2 files)

Felix Yan felixonmars at archlinux.org
Fri Mar 1 10:52:44 UTC 2019


    Date: Friday, March 1, 2019 @ 10:52:44
  Author: felixonmars
Revision: 437230

archrelease: copy trunk to community-any

Added:
  python-cached-property/repos/community-any/PKGBUILD
    (from rev 437229, python-cached-property/trunk/PKGBUILD)
Deleted:
  python-cached-property/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   82 +++++++++++++++++++++++--------------------------------------
 1 file changed, 31 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-01 10:52:27 UTC (rev 437229)
+++ PKGBUILD	2019-03-01 10:52:44 UTC (rev 437230)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-cached-property
-pkgname=('python-cached-property' 'python2-cached-property')
-pkgver=1.5.1
-pkgrel=1
-pkgdesc="A decorator for caching properties in classes"
-arch=('any')
-license=('BSD')
-url="https://github.com/pydanny/cached-property"
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest' 'python2-pytest' 'python-freezegun' 'python2-freezegun')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/pydanny/cached-property/archive/$pkgver.tar.gz")
-sha512sums=('d6c2cd35d7781e3123c7c076681c0dbfd352b24f71b87e1689b304a5a65759d3f7a27e46a1ce5fe1571cbe6c0dc4981b1eb5eb8314b76b13aa15eb8429645a43')
-
-prepare() {
-  cp -a cached-property-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/cached-property-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/cached-property-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/cached-property-$pkgver
-  py.test
-
-  cd "$srcdir"/cached-property-$pkgver-py2
-  py.test2
-}
-
-package_python-cached-property() {
-  depends=('python')
-
-  cd cached-property-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-cached-property() {
-  depends=('python2')
-
-  cd cached-property-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-cached-property/repos/community-any/PKGBUILD (from rev 437229, python-cached-property/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-01 10:52:44 UTC (rev 437230)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-cached-property
+pkgver=1.5.1
+pkgrel=2
+pkgdesc="A decorator for caching properties in classes"
+arch=('any')
+license=('BSD')
+url="https://github.com/pydanny/cached-property"
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest' 'python-freezegun')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/pydanny/cached-property/archive/$pkgver.tar.gz")
+sha512sums=('d6c2cd35d7781e3123c7c076681c0dbfd352b24f71b87e1689b304a5a65759d3f7a27e46a1ce5fe1571cbe6c0dc4981b1eb5eb8314b76b13aa15eb8429645a43')
+
+build() {
+  cd cached-property-$pkgver
+  python setup.py build
+}
+
+check() {
+  # https://github.com/pydanny/cached-property/issues/131
+  cd cached-property-$pkgver
+  py.test || warning "Tests failed"
+}
+
+package() {
+  cd cached-property-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list